Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
EBUILDS+HOWTO: installation of Catalyst Framework 5.80029
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next  
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks
View previous topic :: View next topic  
Author Message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Fri Aug 10, 2007 2:23 pm    Post subject: Reply with quote

As announced some time ago, packaged ebuilds are no longer available: you'll now need to use laymn (preferred) or SVN directly to download!

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
lamer0
n00b
n00b


Joined: 31 Mar 2003
Posts: 29

PostPosted: Mon Aug 20, 2007 3:23 pm    Post subject: why not just cpan? Reply with quote

why not just use cpan?
Back to top
View user's profile Send private message
dleverton
Guru
Guru


Joined: 28 Aug 2006
Posts: 517

PostPosted: Wed Sep 12, 2007 7:20 pm    Post subject: Reply with quote

I noticed a few issues with the overlay:

One is that Catalyst-Manual 5.701002 doesn't actually install anything - you need to add
Code:
S="${WORKDIR}/${PN}-5.701001"
to the ebuild, because the directory in the tarball has the wrong name.

The second is that some of the flags that are used by the ebuilds aren't listed in IUSE - I noticed this in DBIx-Class-Schema-Loader and Task-Catalyst, but there might be others. This is confusing, because it means they don't show up in the --pretend output.

Finally, there's some inconsistency in the USE-flags and dependencies between different ebuilds: Task-Catalyst depends on the FastCGI parts with USE=fastcgi, and the Apache parts with USE=modperl, and Catalyst-Runtime depends on the same packages but with USE=apache or USE=apache2 instead of USE=modperl. It's confusing that different flag names are used in different places, and also that they can be set in either place with the same effect. Additionally, Catalyst-Runtime depends on dev-perl/PAR with USE=par, but Task-Catalyst has an unconditional dependency on the same package. Since dev-perl/PAR has a fairly large dependency chain (I count 30 packages, including itself, that I wouldn't otherwise have installed), it would be nice if this could be made optional if possible.
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Oct 03, 2007 12:23 pm    Post subject: Re: why not just cpan? Reply with quote

Hi!

lamer0 wrote:
why not just use cpan?


Because it doesn't keep track of installed files in a Gentoo-compatible way? ;-)

OK, there's g-cpan, but having the ebuilds is way better for maintainability.

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Oct 03, 2007 12:34 pm    Post subject: Reply with quote

Hello!

First of all, thanks for all your notes.

dleverton wrote:
I noticed a few issues with the overlay:
One is that Catalyst-Manual 5.701002 doesn't actually install anything - you need to add
Code:
S="${WORKDIR}/${PN}-5.701001"
to the ebuild, because the directory in the tarball has the wrong name.


Done.

Quote:

The second is that some of the flags that are used by the ebuilds aren't listed in IUSE - I noticed this in DBIx-Class-Schema-Loader and Task-Catalyst, but there might be others. This is confusing, because it means they don't show up in the --pretend output.


I fixed this in the 2 packages you mentioned, and I'll keep an eye on the other ones.

Quote:

Finally, there's some inconsistency in the USE-flags and dependencies between different ebuilds: Task-Catalyst depends on the FastCGI parts with USE=fastcgi, and the Apache parts with USE=modperl, and Catalyst-Runtime depends on the same packages but with USE=apache or USE=apache2 instead of USE=modperl.


This is a real problem, in the sense that most of the ebuilds should be checked for proper use-flags and consistency. It's a thing that requires a lot of time, so I'm going to postpone this a bit. However, if you want to help, svn commit bit is available on request. :-)

Thanks again,
Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
slackline
Veteran
Veteran


Joined: 01 Apr 2005
Posts: 1324
Location: /uk/sheffield

PostPosted: Thu Nov 29, 2007 2:45 pm    Post subject: Reply with quote

Hi,

Just trying to install the overlay following the HOWTO Catalyst Framework, and am missing the catalystframework-extras meta-ebuild despite this being a fresh addition from layman today.

Is there another way of pulling in the extras packages (apart from doing each by hand obviously)?

Good effort on writing and maintaining all these ebuilds LordArthas

Cheers

slack
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Thu Nov 29, 2007 3:12 pm    Post subject: Reply with quote

Hello!

slack---line wrote:
Just trying to install the overlay following the HOWTO Catalyst Framework, and am missing the catalystframework-extras meta-ebuild despite this being a fresh addition from layman today.


The catalystframework-extras ebuild does not exist any more: the HOWTO wasn't updated, but now I fixed it and there's no more reference to that ebuild.

I removed it because it was basically jut a selection of my favourite plugins and modules, so it made more sense to ask the user to just install catalystframework (which matched CPAN's Task::Catalyst) and then choose each of the extra ebuilds he needs.

Talk to you soon,
Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
slackline
Veteran
Veteran


Joined: 01 Apr 2005
Posts: 1324
Location: /uk/sheffield

PostPosted: Thu Nov 29, 2007 3:17 pm    Post subject: Reply with quote

Okay cool, thanks for the quick response.

slack
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Thu Nov 29, 2007 3:35 pm    Post subject: Reply with quote

Hi Slack!

slack---line wrote:
Okay cool, thanks for the quick response.


No problem. ;-) If you find a Catalyst/DBIx-Class/...-related Perl module which you would like to be added to this overlay, just drop me a note!

Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Thu Jan 10, 2008 4:13 pm    Post subject: Reply with quote

Hello!

IMPORTANT NOTICE: the address of the SVN repository and the name of the Gentoo overlay has now changed, as we merged the Catalyst ebuilds into perl-experimental. Please see the first message of this thread.

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
leifbk
Apprentice
Apprentice


Joined: 05 Jan 2004
Posts: 278
Location: Bærum, Norway

PostPosted: Sat Jan 26, 2008 9:34 am    Post subject: Reply with quote

I just tried to install Catalyst, but emerge bombs out at package 160 out of 175:

Code:
>>> Emerging (160 of 175) dev-perl/Catalyst-Plugin-Session-Store-File-0.12 to /
>>> Downloading 'http://search.cpan.org/CPAN/authors/id/K/KA/KARMAN/Catalyst-Plugin-Session-Store-File-0.12.tar.gz'
--10:05:32--  http://search.cpan.org/CPAN/authors/id/K/KA/KARMAN/Catalyst-Plugin-Session-Store-File-0.12.tar.gz
           => `/usr/portage/distfiles/Catalyst-Plugin-Session-Store-File-0.12.tar.gz'
Resolving search.cpan.org... 84.45.68.23
Connecting to search.cpan.org|84.45.68.23|:80... connected.
HTTP request sent, awaiting response... 302 Found
Location: http://ftp.port80.se/pub/CPAN/authors/id/K/KA/KARMAN/Catalyst-Plugin-Session-Store-File-0.12.tar.gz [following]
--10:05:32--  http://ftp.port80.se/pub/CPAN/authors/id/K/KA/KARMAN/Catalyst-Plugin-Session-Store-File-0.12.tar.gz
           => `/usr/portage/distfiles/Catalyst-Plugin-Session-Store-File-0.12.tar.gz'
Resolving ftp.port80.se... 82.96.2.196
Connecting to ftp.port80.se|82.96.2.196|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
10:05:32 ERROR 404: Not Found.

>>> Downloading 'http://www.cpan.org/authors/id/K/KA/KARMAN/Catalyst-Plugin-Session-Store-File-0.12.tar.gz'
--10:05:32--  http://www.cpan.org/authors/id/K/KA/KARMAN/Catalyst-Plugin-Session-Store-File-0.12.tar.gz
           => `/usr/portage/distfiles/Catalyst-Plugin-Session-Store-File-0.12.tar.gz'
Resolving www.cpan.org... 66.39.76.93
Connecting to www.cpan.org|66.39.76.93|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
10:05:33 ERROR 404: Not Found.

!!! Couldn't download 'Catalyst-Plugin-Session-Store-File-0.12.tar.gz'. Aborting.
 * Fetch failed for 'dev-perl/Catalyst-Plugin-Session-Store-File-0.12'

 * Messages for package dev-perl/Catalyst-Plugin-Session-Store-File-0.12:

 * Fetch failed for 'dev-perl/Catalyst-Plugin-Session-Store-File-0.12'
 * GNU info directory index is up-to-date.


Wossup? 8O
_________________
The Yggdrasil Genealogy Project
Back to top
View user's profile Send private message
leifbk
Apprentice
Apprentice


Joined: 05 Jan 2004
Posts: 278
Location: Bærum, Norway

PostPosted: Sat Jan 26, 2008 9:54 am    Post subject: Reply with quote

It seems like this file is outdated. When I visit http://www.cpan.org/modules/by-module/HTML/KARMAN/ I find Catalyst-Plugin-Session-Store-File-0.13.tar.gz.
_________________
The Yggdrasil Genealogy Project
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Sat Jan 26, 2008 11:21 am    Post subject: Reply with quote

Hi!

I updated the ebuild. Sometimes CPAN authors are too fast in removing older versions (especially for a minor update like this). ;-)

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Carnildo
Guru
Guru


Joined: 17 Jun 2004
Posts: 585

PostPosted: Sun Jan 27, 2008 6:43 am    Post subject: Reply with quote

I'm working my way through the tutorial right now, and trying to install the required bits. Why does Task-Catalyst block Catalyst-Plugin-Authentication-Store-DBIx-Class and Catalyst-Plugin-Authentication-Store-DBIC?
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Sun Jan 27, 2008 5:26 pm    Post subject: Reply with quote

Hi!

Carnildo wrote:
I'm working my way through the tutorial right now, and trying to install the required bits. Why does Task-Catalyst block Catalyst-Plugin-Authentication-Store-DBIx-Class and Catalyst-Plugin-Authentication-Store-DBIC?


Because they're deprecated in favour of:

Catalyst-Authentication-Store-DBIx-Class

You will most likely want to take a look at the documentation of the module, as the new API is a bit different than the one probably explained in the current tutorial.

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Smoothhound
Tux's lil' helper
Tux's lil' helper


Joined: 23 Sep 2003
Posts: 149

PostPosted: Wed Jan 30, 2008 3:03 pm    Post subject: Reply with quote

LordArthas wrote:
Hi!

Carnildo wrote:
I'm working my way through the tutorial right now, and trying to install the required bits. Why does Task-Catalyst block Catalyst-Plugin-Authentication-Store-DBIx-Class and Catalyst-Plugin-Authentication-Store-DBIC?


Because they're deprecated in favour of:

Catalyst-Authentication-Store-DBIx-Class

You will most likely want to take a look at the documentation of the module, as the new API is a bit different than the one probably explained in the current tutorial.

M.


Correct me if I'm wrong but I think although they are deprecated there are no technical reasons why both can't be installed at the same time. This would be helpful to me since some projects that I have won't be moving to new authentication API for a while.

Thanks
Back to top
View user's profile Send private message
Smoothhound
Tux's lil' helper
Tux's lil' helper


Joined: 23 Sep 2003
Posts: 149

PostPosted: Wed Jan 30, 2008 3:09 pm    Post subject: Reply with quote

Hi,

Paludis is being picky again :) I get
Code:
  * Bad dependency string ' >=dev-perl/JSON-2.02 json-xs? (>=dev-perl/JSON-XS-2.01) json-syck? (dev-perl/YAML-Syck) ': in lex phase: '(' should be followed by whitespace (paludis::erepository::DepStringLexError)

Simply adding in the required whitespace fixes that

Also when I enable json-xs USE flag paludis can't find the package JSON-XS so I guess this should be added to overlay?

Cheers!
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Jan 30, 2008 4:48 pm    Post subject: Reply with quote

Hi!

Smoothhound wrote:
Simply adding in the required whitespace fixes that


I added the spaces, thank you for letting me know.

Quote:

Also when I enable json-xs USE flag paludis can't find the package JSON-XS so I guess this should be added to overlay?


The JSON-XS package is in the main portage tree. Problem is the version available is 1.52 while we need at least 2.01 (which has been out for a while...). I filled a bug report some time ago asking the version bump, without reply.

I'm unsure who is keeping the Perl portage ebuilds up to date these days (if there's somebody at all). The gentoo-perl mailing list seems quite empty. If there no bump within a short time, I'll re-add JSON-XS to this overlay.

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
schmutzfinger
Veteran
Veteran


Joined: 26 Oct 2003
Posts: 1287
Location: Dresden/Germany

PostPosted: Sun Mar 23, 2008 8:09 pm    Post subject: Reply with quote

Today i installed Catalyst on gentoo-FreeBSD using the ebuilds from the overlay. I am going to write this post like a very basic howto if anyone else wants to use catalyst on gentoo-FreeBSD.

@LordArthas maybe you could add the "x86-fbsd" keyword to your ebuilds, since its perl it should be safe ...

The ebuilds all lack the "x86-fbsd" keyword which i worked around using "app-portage/autounmask". But the ebuilds for that package currently also don't have the keyword set, so i put the following in /etc/portage/package.keywords.

Code:

app-portage/autounmask  **
dev-perl/PortageXS      **
perl-core/Sys-Syslog    **
dev-perl/Term-ANSIColor **
dev-perl/Shell-EnvImporter      **
dev-perl/Class-MethodMaker      **


After that i could install autounmaks doing:
Code:

emerge -av app-portage/autounmask


Then i used it to unmask catalystframework and all its deps:
Code:

autounmask -n =dev-perl/catalystframework-5.7012-r2


After that i tried to install catalystframework like this:
Code:

emerge -av catalystframework

That worked well until it came across "sci-mathematics/pari", this bug should solve the problem

After that little problem
Code:

emerge -av catalystframework

worked well and i could start using catalyst ;).

If you need to install additional packages you need to (auto)unmask them prior to emerge like this:
i.e.
Code:
autounmask -n dev-perl/Catalyst-Plugin-Unicode-0.8
emerge -av dev-perl/Catalyst-Plugin-Unicode
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Apr 02, 2008 6:46 pm    Post subject: Reply with quote

Hi!

schmutzfinger wrote:
@LordArthas maybe you could add the "x86-fbsd" keyword to your ebuilds, since its perl it should be safe ...


Done!

Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
maltus
n00b
n00b


Joined: 08 Apr 2008
Posts: 1

PostPosted: Tue Apr 08, 2008 2:11 am    Post subject: Catalyst-View-Chart-Strip ebuilds Reply with quote

I have knocked up some ebuilds for Catalyst::View::Chart::Strip and it's dependency Chart::Strip,

Hope some finds them useful or if they can be added to the tree.

Catalyst-View-Chart-Strip-0.05.ebuild
Code:

# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header$

inherit perl-module

DESCRIPTION="A Catalyst View for Chart::Strip graphics"
HOMEPAGE="http://search.cpan.org/dist/${PN}/"
SRC_URI="mirror://cpan/authors/id/B/BL/BLBLACK/${P}.tar.gz"
LICENSE="|| ( Artistic GPL-2 )"

SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k mips ppc ppc64 ppc-macos s390 sh sparc sparc-fbsd x86 x86-fbsd"
RESTRICT="nomirror"

IUSE=""
DEPEND="
        dev-perl/Catalyst-Runtime
        dev-perl/Chart-Strip
"


Chart-Strip-1.05.ebuild
Code:

# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header$

inherit perl-module

DESCRIPTION="Draw strip chart type graphs"
HOMEPAGE="http://search.cpan.org/dist/${PN}/"
SRC_URI="mirror://cpan/authors/id/J/JA/JAW/${P}.tar.gz"
LICENSE="|| ( Artistic GPL-2 )"

SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k mips ppc ppc64 ppc-macos s390 sh sparc sparc-fbsd x86 x86-fbsd"
RESTRICT="nomirror"

IUSE=""
DEPEND="
        dev-perl/GD
"
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Tue Apr 08, 2008 6:29 am    Post subject: Reply with quote

Hi maltus!

If you're willing to maintain these ebuilds (and maybe add others), you can get commit bits on this overlay. Contact me via PM if you're interested!

Thanks,
M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
redwood
Apprentice
Apprentice


Joined: 27 Jan 2006
Posts: 234

PostPosted: Sat Jun 14, 2008 9:16 pm    Post subject: Problem running Catalyst Framework + Apache Reply with quote

I'm not sure if I should start a new topic.
I've installed all 79 catalyst* ebuilds:

#eix catalyst | grep dev-perl | grep "\[I" | wc -l
79

And I've unpacked the final tutorial:
http://dev.catalyst.perl.org/repos/Catalyst/trunk/examples/Tutorial/Final_Tarball/MyApp_Part8.tgz
to /var/www/
and "chown -R root.root /var/www/MyApp"


And I've followed the instructions at
http://search.cpan.org/~agrundma/Catalyst-Engine-Apache/lib/Catalyst/Engine/Apache2/MP20.pm
for setting up apache2 to use modperl with MyApp as the response handler for my document root:
/var/www/MyApp/root

For convenience I've added an include statement to my
/etc/apache2/vhosts.d/myvhosts.conf:
Include /etc/apache2/vhosts.d/catalyst.cnf

With my catalyst.cnf:
#Set up your Catalyst app as a mod_perl 2.x application in httpd.conf
PerlSwitches -I /var/www/MyApp/lib

#Preload your entire application
PerlModule MyApp

<VirtualHost *>
ServerName myapp.mydomain.com
DocumentRoot /var/www/MyApp/root

Setenv VLOG /var/log/apache2/catalyst.log
ErrorLog /var/log/apache2/catalyst-error.log
CustomLog /var/log/apache2/catalyst-access combined

<Location />
SetHandler modperl
PerlResponseHandler MyApp
</Location>

</VirtualHost>

Yet, when I stop and then restart apache2, apache doesn't start.
/etc/init.d/apache2 just says that "* Starting apache2 ... "
and /var/log/apache2/startuperror.log simply reports "Syntax OK"

I've installed catalystframework on a Centos5 VPS with apache2 and gotten
the tutorial app to run, but I don't know what I'm doing wrong on my real Gentoo server.
I've tried re-emerging apache's dependencies:
for f in `equery depends www-servers/apache | grep -v "\[" | cut -d ' ' -f 1`; do emerge =$f; done
but apache2 still won't start with catalyst.
Back to top
View user's profile Send private message
icce
n00b
n00b


Joined: 15 Jun 2008
Posts: 2

PostPosted: Sun Jun 15, 2008 5:08 pm    Post subject: Reply with quote

Would it be possible to add Catalyst-Model-HTML-FormFu to this overlay? I cannot seem to find it.
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Mon Jun 16, 2008 7:07 am    Post subject: Re: Problem running Catalyst Framework + Apache Reply with quote

redwood wrote:
I'm not sure if I should start a new topic.
I've installed all 79 catalyst* ebuilds:


You probably want to start a new topic in order to grab some attention - this is related to ebuilds. ;)

I myself use FastCGI instead of mod_perl (I find the latter to difficult to master, while giving not-that-much benefit over FastCGI), so I can't really help.

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next
Page 7 of 9

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum